Ubuntu

genisoimage generates wrong DVD-Video images

Reported by Serhiy Kachaniuk on 2008-05-22
70
This bug affects 4 people
Affects Status Importance Assigned to Milestone
cdrkit (Baltix)
Undecided
Unassigned
cdrkit (Debian)
New
Unknown
cdrkit (Ubuntu)
Undecided
Ubuntu Burning Team

Bug Description

Binary package hint: genisoimage

DVD Video iso images, generated by genisoimage on Kubuntu Hardy 8.04 are wrong.
Standalone DVD players as well as WinXP cant read/play disks with such images burned.
It's bug in cdrkit 1.1.6 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=429244 and it was fixed in 1.1.7 release.

I've installed 1.1.7 release from sources and this fixed problem for me.

Please update cdrkit version in hardy to 1.1.7

Serhiy Kachaniuk (serzholino) wrote :

Also in this bug https://bugs.launchpad.net/ubuntu/+source/cdrkit/+bug/131220 last comments are about the same problem.

description: updated
Claude Paroz (paroz) wrote :

I'm also concerned by this problem, and I find this is really critical. I've already burnt several DVD Video and they're all unreadable under Windows.
Please raise the importance of this bug!

Claude Paroz (paroz) wrote :

Serhiy, is it sufficient to make/make install cdrkit 1.1.7, or should I also rebuild other packages/binary?

Serhiy Kachaniuk (serzholino) wrote :

Claude, by default make/make install in cdrkit sources will install it in /usr/local prefix
cdrkit uses cmake, so what i've done was:
#mkdir cdrkit-build
#cd cdrkit-build
#cmake -D CMAKE_INSTALL_PREFIX=/usr /path/to/cdrkit/sources
#make
#sudo make install

And k3b started burning correct disks, no other packages required rebuild.

Please mark this bug as confirmed, maybe this will help attract more attention to it...

Serhiy Kachaniuk (serzholino) wrote :

looks like now i can mark it confirmed myself...

Changed in cdrkit:
status: New → Confirmed
Claude Paroz (paroz) wrote :

Serhiy, hug, hug, HUGS !!! Thanks for your help.

I can confirm that cdrkit 1.1.7 resolves this issue.
But IMHO this issue shouldn't stay in an LTS release.

bedege (degouville) wrote :

All

I have the same issue with genisoimage 1.1.6 on Xubuntu Hardy.
I've just installed genisoimage 1.1.7 (from a Debian package, with GDebi, not from an Ubuntu repository) but it does not seem to solve the issue. I recreated an iso file using k9copy, burned it to a DVD+RW, but still, it is not recognized by Win XP.
Is genisoimage 1.1.7 enough to make the trick, or should I upgrade other softs too (I do not really see the difference between cdrkit and genisoimage...)

genisoimage is only part of cdrkit. Same trick didn't helped me as
well. Only full cdrkit install from sources. Maybe installing all
binary packages, that builds from cdrkit source package may help.

/me wonders is there any way to make ubuntu core developers aware of
this really critical bug...

2008/6/9, bedege <email address hidden>:
> All
>
> I have the same issue with genisoimage 1.1.6 on Xubuntu Hardy.
> I've just installed genisoimage 1.1.7 (from a Debian package, with GDebi,
> not from an Ubuntu repository) but it does not seem to solve the issue. I
> recreated an iso file using k9copy, burned it to a DVD+RW, but still, it is
> not recognized by Win XP.
> Is genisoimage 1.1.7 enough to make the trick, or should I upgrade other
> softs too (I do not really see the difference between cdrkit and
> genisoimage...)
>
> --
> genisoimage generates wrong DVD-Video images
> https://bugs.launchpad.net/bugs/233942
> You received this bug notification because you are a direct subscriber
> of the bug.
>

bedege (degouville) wrote :

What other tools does cdrkit contain (beside genisoimage) that might be broken in the 1.1.6 release shipped with Hardy ?

Serhiy Kachaniuk (serzholino) wrote :

See http://packages.ubuntu.com/source/intrepid/cdrkit
But indeed nothing related to iso images creation...

bedege (degouville) wrote :

Well, following advices from ubuntuforums, I 1st upgraded to genisoimage 1.1.8 (thru a Debian package) and that did not solve the issue: burned DVD is still unrecognized by windows.

Then, I downgraded to genisoimage 1.1.2 from the Ubuntu repositories, and now it works. The generated DVD exhibits AUDIO_TS and VIDEO_TS directories under Windows XP and the video works fine.

To sum up:
- genisoimage 1.1.6 from Hardy does not work
- installing genisoimage 1.1.7 or 1.1.8 from Debian does not help
- downgrading to genisoimage 1.1.2 from Ubuntu Feisty works and creates correct iso files that can be burned to DVD (to my knowledge)

My 2 cents

Serhiy Kachaniuk (serzholino) wrote :

Assigning to burning team

Changed in cdrkit:
assignee: nobody → ubuntu-burning
bedege (degouville) wrote :

I just made a quick test last night. I was still puzzled why iso I created with gutsy were ok, when those created under hardy yelled DVDs that are unreadable under Windows.

So, I installed genisoimage 1.1.6-1ubuntu3 from gutsy: it works fine and creates iso that burn to DVD fine and are readable under Windows.

Thus, the bug lies somewhere in the patches between 1.1.6-1ubuntu3 and 1.1.6-1ubuntu6, that very release being part of Hardy.

That narrows down the search.

antistress (antistress) wrote :

This bug is fixed in debian package 9:1.1.7-1 : is it possible to get the fix through ubuntu updates ?

antistress (antistress) wrote :

(sorry, here is the source http://packages.debian.org/changelogs/pool/main/c/cdrkit/current/changelog : look for bugs #430558 & #429244)

antistress (antistress) wrote :

cdrkit 9:1.1.8-1 can be tried from deb http://ftp.de.debian.org/debian sid main

bedege (degouville) wrote :

As mentionned in one of my posts, I tested both 1.1.7 and 1.1.8 from a Debian repository on my Xubuntu 8.04 box and that did not solve the issue. Has anyone else tested that ?
In my opinion, the only escape so far is to install either 1.1.2 or 1.1.6-1ubuntu3 from gutsy, both from Ubuntu repositories.

antistress (antistress) wrote :

i can test : could you please tell me what to do ?

bedege (degouville) wrote :

Well, it's quite easy.
1. Download genisoimage 1.1.8 from Debian repository; You can get it at http://packages.debian.org/lenny/genisoimage. 1.1.7 is no longer available as a Debian package.
2. Install genisoimage 1.1.8 using Gdebi (for instance). You simply need to double click on the package file and it will launch the right app. Simply ignore the security warning that Gdebi will give, about this package not being part of an official Ubuntu repository
3. Once genisoimage is installed, you need to create an iso file containing video DVD data. One way is to rip a chapter from another video DVD for instance. I personnaly use k9copy for that, but there are plenty of other ways
4. After the iso file is created on your hard disk, you can burn a DVD with it. Prefer using a DVD+/-RW, in order not a waste a blank one in case of failure
5. Use a computer with Windows on it and test whether it can list the content of the burned DVD (VIDEO_TS and AUDIO_TS directories) or not
6. Report your findings here

Thank you !

antistress (antistress) wrote :

soory for being so long

i tried to make the test at work where WinXP is running but optical discs are CD only (not DVD) therefore i couldn't make it

However i often create DVDs with DeVeDe (with default menu) and they run well on my old standalone DVD player Harman Kardon DV25 (which handles nothing but audio CD and video DVD)
With Ubuntu 8.04 and default genisoimage 1.1.8

antistress (antistress) wrote :

sorry i wanted to write "With Ubuntu 8.04 and default genisoimage 1.1.6"

Serhiy Kachaniuk (serzholino) wrote :

> However i often create DVDs with DeVeDe (with default menu) and they run well on my old standalone DVD player Harman Kardon DV25 (which handles nothing but audio CD and video DVD)
> With Ubuntu 8.04 and default genisoimage 1.1.8
>

Linux reads them ok too. Only players that enables Joilet
extension(though this makes no sense
) to read Video DVD are affected and at least Windows XP.

Obrouni (nick-fisk) wrote :

I installed genisoimage 1.1.8 from http://packages.debian.org/lenny/genisoimage as suggested and the DVD's that I burn can now be read by a Windows XP machine.

Looks like this needs to be pushed out pronto!!!

antistress (antistress) wrote :

i can't install genisoimage 1.1.8 without uninstalling DeVeDe !

antistress (antistress) wrote :

importance of that bug is still undecided !
what is the opinion of the Ubuntu Burning Team on that report ?

Rob Martin (robmartin) wrote :

Can confirm this bug - genisoimage, growisofs and mkisofs all produce dvd-videos whihc are unreadable by Windows and standalone players

Claude Paroz (paroz) wrote :

I have now problem with auto-mounting DVD. Not sure that it is related to v.1.1.8 of genisoimage, but this should be double-checked if an upgrade was planned.

Jan Kronborg (magic75) wrote :

Confirm the bug, and unfortunately installing 1.1.8 does NOT solve the problem.

Selmi (selmi) wrote :

i can confirm the bug and also that reverting back to package from feisty (1.1.2) makes dvds readable in windows again and everything works as it should

I confirm the above.
I tried to use genisoimage from cdrkit 1.1.8:
1/ genisoimage -dvd-video -V disk_label -o image.iso path
then burned this image to DVD-R
2/ wodim image.iso
The resulting disk reads and plays under Ubuntu 8.04 but cannot be read under WinXP.

So I downgraded to 1.1.2:
wget http://launchpadlibrarian.net/6134366/genisoimage_1.1.2-1_amd64.deb
dpkg -i genisoimage_1.1.2-1_amd64.deb

genisoimage -version
genisoimage 1.1.2 (Linux)

Now steps 1/ and 2/ above produced a disk which reads and plays under Ubuntu and WinXP

I hope downgrading to 1.1.2 doesn't re-introduce some other problems.

Johan Walles (walles) wrote :

According to the Debian bug report, building 1.1.8 from source helps. Using the 1.1.8 Debian package does not.

So it's (at least) some kind of packaging related problem. Debian specific patches perhaps?

Anybody who wants to binary search through the patches to find out which one?

Changed in cdrkit:
status: Unknown → New
DaveQB (david-dward) wrote :

I can confirm issue, somewhat. Mine is with making Data DVD's on Kubuntu 8.04
They play back on other Kubuntu 8.04 systems, but no Windows and not other distro's.

I have 1.1.6 wodim and genisoimage.

Tried burning exact same data DVD's with Mandriva 2008.1 that have wodim 1.1.7 and genisoimage 1.1.7 and disks work fine in Windows XP etc.

antistress (antistress) wrote :

Will there be a fix in Intrepid ?

GG (pcdoctor01) wrote :

I was told that installing geniso 1.1.6 would fix this problem.
I just tried this on a Dell optiplex 745 with a dvd rom / cdrw and I still can't view dvds burning using kb3 and geniso 1.1.6. I'm using a dvd-rw so maybe that's part of the problem. Anyone able to view dvds burned using a dvd-rw with windows?
I guess I'll try genisoimage 1.1.2 and see if that fixes my problem.

DaveQB (david-dward) wrote :

I am using cdrkit 1.1.8 now, from a package I rolled my own with checkinstall and burning is working, although I got an error while burning, the DVD was fine, readable in Kubuntu and Windows XP.

The package I made is here:
http://www.dward.us/software/cdrkit_1.1.8-dw1_amd64.deb

**WARNING**
Made with checkinstall, so mileage will vary.

GG (pcdoctor01) wrote :

Well, on my system when I install geniso 1.1.2 and reboot, it removes kb3 and k9copy. So back to 1.1.6 I go. I guess I'll have to be patient until a better fix is found.

DaveQB (david-dward) wrote :

You need to fix your cdrkit package, thats all.

GG (pcdoctor01) wrote :

How do I fix my cdrkit?
Here's another problem that I have found.

installing genisoimage_1.1.6-1ubuntu3_i386.deb removes remastersys. when I put remastersys back on using Adept Manager it puts genisoimage_1.1.6-1ubuntu6_i386.deb back on. when I install genisoimage_1.1.6-1ubuntu3_i386.deb back on and I check to see if remastersys is installed, I try to run it and it never opens

When I run remastersys from the teriminal instead of the program menu I see one of the following errors:
"The following packages have unmet dependencies:
  remastersys: Depends: mkisofs"

So, remastersys is one program that's affected when downgrading genisoimage_1.1.6-1ubuntu6_i386.deb to genisoimage_1.1.6-1ubuntu3_i386.deb

bedege (degouville) wrote :

genisoimage is a debian/ubuntu replacement for mkisofs.

As stated in my messages above
genisoimage_1.1.6-1ubuntu3_i386.deb from gutsy works fine, when genisoimage_1.1.6-1ubuntu6_i386.deb from hardy is broken.

However, it appears that your remastersys soft (where did you get the package from) requires mkisofs. The Ubuntu maintainers have added "Provides: mkisofs to binary package genisoimage" in 1.1.6-1ubuntu5 and above (http://changelogs.ubuntu.com/changelogs/pool/main/c/cdrkit/cdrkit_1.1.6-1ubuntu6/changelog), thus your system requires that release of genisoimage or above to satisfy the dependency for remastersys.

Maybe you can force your system to:
- stick to genisoimage_1.1.6-1ubuntu6_i386.deb using synaptic
- force the install of remastersys even if mkisofs/genisoimage_1.1.6-1ubuntu6 is not installed. I do not know remastersys, but maybe you can change the name of the binary to create iso files ?

Hope this helps

Philip Jägenstedt (foolip) wrote :

I built cdrkit 1.1.8 from Intrepid under Hardy, but the generated ISO file is still not readable, so it doesn't seem this bug has been fixed at all... The error message is "Windows cannot read from this disk. The disk might be corrupted, or it could be using a format that is not compatible with Windows."

Rick Coupland (rick-soloca) wrote :

I built and installed the real mkisofs from cdrtools 2.01.01a48 sources and this does fix the problem. I have created a binary package for mkisofs which replaces genisoimage and leaves all packages which depended on genisoimage installed. If anyone is interested, it can be downloaded from
 http://rpc-pub-software.s3.amazonaws.com/deb-bin/mkisofs_2.01.01a48-0ubuntu1~ppa1_i386.deb

Johan Walles (walles) wrote :

Philip, Rick, others,

apparently genisoimage_1.1.6-1ubuntu3_i386.deb from gutsy works fine, and genisoimage_1.1.6-1ubuntu6_i386.deb from hardy is broken.

So something broke between those two versions.

If you want to help, find out what change broke the imaging.

GG (pcdoctor01) wrote :

I'm using Kubuntu 8.04. I burn DVDs with k3b and use remastersys.
When installing genisoimage_1.1.6-1ubuntu3_i386.deb, windows is able to see DVDs that I have burned but remastersys no longer works.
My temp fix.
Install genisoimage_1.1.6-1ubuntu3_i386.deb when I need to burn DVDs and use them on windows.
Install genisoimage_1.1.6-1ubuntu6_i386.deb when I need to create an image of my system using remastersys.
I'll try the cdrtools 2.01.01a48 and see if remastersys still works.

Info on remastersys:
It was initially created to be able to easily backup or create a distributable copy of an Ubuntu or derivative installation. Inspiration for this tool came from the mklivecd script that Mandriva uses and the remasterme script that is in PCLinuxOS. Since those scripts are not very easy to port to Ubuntu, it was written from scratch.

It is a very useful and easy way to create a customized Live CD/DVD version of Ubuntu, once the system is installed and configured with programs, updates, etc... the user just has to:

1. Download and install the latest version of Remastersys from: http://remastersys.klikit-linux.com/repository/remastersys/
2. Open the program (a shortcut is created on the desktop) and then choose the dist or backup option, and then the iso of the Live CD will be automatically created.

The resulting iso can also be installed on a USB pendrive, creating a Live USB distro, using either a command-line approach[2] or a graphical tool such as UNetbootin.

It has a command line version and a GUI version. It currently works with Ubuntu, and possibly more Ubuntu-based distributions.
The latest version of Ubuntu (8.04) is already supported

Johan Walles (walles) wrote :

My guess is that the problem is with this change:
"
cdrkit (9:1.1.6-1ubuntu6) hardy; urgency=low

  * genisoimage/tree.c:
    - Add patch to fix Joliet filesystem creation. This patch has
      been commited to cdrkit svn revno 782 already (LP: #187459)
"

Found it on http://changelogs.ubuntu.com/changelogs/pool/main/c/cdrkit/cdrkit_1.1.6-1ubuntu6/changelog. It's the only change from 1.1.6 that actually changes any code.

Somebody with easy access to a Windows system needs to verify this, and / or debug the patch.

Philip Jägenstedt (foolip) wrote :

I also suspected that change was responsible, so I tried building genisoimage_1.1.6-1ubuntu3 on Hardy but it actually does not fix the problem. When trying to mount the image in Windows (running in a VirtualBox) the same error is given: "Windows cannot read from this disk. The disk might be corrupted, or it could be using a format that is not compatible with Windows."

Philip Jägenstedt (foolip) wrote :

Not even building genisoimage_1.1.2-1ubuntu1 on Hardy fixes the problem. I'm beginning to think that there might be two different bugs here. The Joliet fix introduced in 1.1.6-1ubuntu6 doesn't seem to be the problem here and really shouldn't be as Joliet isn't even used in DVD images.

Reinhard Tartler (siretart) wrote :

FYI, the ~ubuntu-burning PPA contains 2.01.01.a50 packages for intrepid
and hardy.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Philip Jägenstedt (foolip) wrote :

Everybody, that's https://launchpad.net/~ubuntu-burning/+archive

Thanks Reinhard, that's very helpful!

Philip Jägenstedt (foolip) wrote :

Sorry, false alarm. Installing those packages is of no use at all, as they still don't contain mkisofs binaries from cdrtools sources, just isodebug and mkhybrid.

Reinhard Tartler (siretart) wrote :

Philip Jägenstedt <email address hidden> writes:

> Sorry, false alarm. Installing those packages is of no use at all, as
> they still don't contain mkisofs binaries from cdrtools sources, just
> isodebug and mkhybrid.

from mkisofs_2.01.01a50-0ubuntu1\~ppa1\~hardy_i386.deb:

-rwxr-xr-x root/root 128224 2008-09-27 22:48 ./usr/bin/isodebug
-rwxr-xr-x root/root 384536 2008-09-27 22:48 ./usr/bin/mkisofs
lrwxrwxrwx root/root 0 2008-09-27 22:48 ./usr/bin/mkhybrid -> mkisofs

please look harder. Of course mkisofs from cdrtools sources are
there. for both hardy and intrepid.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

antistress (antistress) wrote :

dvd burning softwares in Ubuntu doesn't seem to depend of mkisofs therefore can installing mkisofs solve the problem ?
(brasero, DeVeDe, nautilus cd burner depends on genisoimage)

Philip Jägenstedt (foolip) wrote :

I can confirm that the actual deb file (http://ppa.launchpad.net/ubuntu-burning/ubuntu/pool/main/c/cdrtools/mkisofs_2.01.01a50-0ubuntu1~ppa1~hardy_i386.deb) contains the binary, but it isn't actually installed.

$ COLUMNS=200 dpkg -l mkisofs
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-============================================-============================================-========================================================================================================
ii mkisofs 10:2.01.01a50-0ubuntu1~ppa1~hardy Creates ISO-9660 CD-ROM filesystem images

$ dpkg -L mkisofs | grep bin
/usr/bin
/usr/bin/isodebug
/usr/bin/mkhybrid

I don't know the details of deb files, but do they contain a list of files to be installed so that not all files in the package actually have to be used?

Philip Jägenstedt (foolip) wrote :

OK, again...

$ sudo dpkg -i mkisofs_2.01.01a50-0ubuntu1~ppa1~hardy_i386.deb
(Reading database ... 248447 files and directories currently installed.)
Preparing to replace mkisofs 10:2.01.01a50-0ubuntu1~ppa1~hardy (using mkisofs_2.01.01a50-0ubuntu1~ppa1~hardy_i386.deb) ...
Unpacking replacement mkisofs ...
Replaced by files in installed package genisoimage ...
Setting up mkisofs (10:2.01.01a50-0ubuntu1~ppa1~hardy) ...

So it seems that it isn't being installed because the genisoimage package already "provides" it. But you can't remove genisoimage without also removing ubuntu-desktop, so you'd have to make a dummy package to work around this.

But it's all beside the point, because unless the license issue is settled Ubuntu won't go back to using cdrtools and thus genisoimage should be properly fixed. But since I haven't found a single version of it that does work it's hard to say when things broke...

Reinhard Tartler (siretart) wrote :

Philip Jägenstedt <email address hidden> writes:

> OK, again...
>
> $ sudo dpkg -i mkisofs_2.01.01a50-0ubuntu1~ppa1~hardy_i386.deb
> (Reading database ... 248447 files and directories currently installed.)
> Preparing to replace mkisofs 10:2.01.01a50-0ubuntu1~ppa1~hardy (using mkisofs_2.01.01a50-0ubuntu1~ppa1~hardy_i386.deb) ...
> Unpacking replacement mkisofs ...
> Replaced by files in installed package genisoimage ...
> Setting up mkisofs (10:2.01.01a50-0ubuntu1~ppa1~hardy) ...
>
> So it seems that it isn't being installed because the genisoimage
> package already "provides" it. But you can't remove genisoimage without
> also removing ubuntu-desktop, so you'd have to make a dummy package to
> work around this.

You're right, the genisoimage package would need to have modified to no
longer add a 'Provides:' field and stop distributing the mkisofs
symlink.

As workaround, you would have to remove genisoimage and the
ubuntu-desktop metapackage in order to test these packages.

> But it's all beside the point, because unless the license issue is
> settled Ubuntu won't go back to using cdrtools and thus genisoimage
> should be properly fixed. But since I haven't found a single version of
> it that does work it's hard to say when things broke...

Work on this is ongoing. It currently looks like we could have cdrtools
in jaunty if everything goes well. Stay tuned...

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

GG (pcdoctor01) wrote :

Thx for keeping this thread alive. There may be hope after all!

Installing genisoimage version 1.1.6.3 with the .deb from gutsy solved the problem. I had to install devede with the tarball from the devede website because devede from the repository wanted to reinstall genisoimage.
I tried before with 1.1.8 (.deb package) as suggested higher in this bugreport, but that did not work.

Zakhar (alainb06) wrote :

Nick, the "complete" tuto after downgrading to genisoimage/Gutsy is to block it in Synaptic so that the wrong version of genisoimage won't be reinstalled.
Anyway, it is possible that some other software might complain because they might require a specific version of genisoiamge greater than the one in Gutsy.

So this must still be considered as a workaround, and we still wait for a real solution !

Jan Kronborg (magic75) wrote :

I can confirm that 1.1.6.3 from gutsy works.

Philip Jägenstedt (foolip) wrote :

Are you using the deb package from packages.ubuntu.com or have you actually built the package yourself? I did build genisoimage_1.1.6-1ubuntu3 on Hardy but it doesn't fix the problem I'm seing, which is Windows not recognizing the image.

Zakhar (alainb06) wrote :

No, using directly the package from Gutsy without recompiling it.
I know it's evil, and we are not supposed to do so, but it works very well, whereas when you recompile it on Hardy it seems not to work.
So why bother compiling it ;-)

Then I suspect the bug is not directly on the source of genisoimage itself, but on some other library the executable is linked with. Or could be that the changes made in genisoimage have the effect in the called libraries to use other parts of codes that are buggy.

I tried to use the Gutsy version of genisoimage, but it didn't work for me.

I am using Ubuntu 8.04 (Dell install) on a Dell Inspiron 530 desktop.

Downloaded genisoimage_1.2.1.6-1ubuntu3_i386.deb from one of the mirror the links at
http://packages.ubuntu.com/nl/gutsy/i386/genisoimage/download

Ran sudo dpkg genisoimage_1.1.6-1ubuntu3_i386.deb

Set "lock version" for this package in Synaptic package manager.

Tried to burn a DVD from MythTV (mytharchive module). Error from mythburn.log:

2008-10-08 12:46:47 Burning ISO image to /dev/dvd
2008-10-08 12:46:47 growisofs -dvd-compat -Z /dev/dvd -dvd-video -V "Name of DVD" /home/username/.mythtv/temp/work/dvd
2008-10-08 12:46:47 Running growisofs to burn DVD
2008-10-08 12:56:04 ------------------------------------------------------------
2008-10-08 12:56:04 ERROR: Failed while running growisofs.
2008-10-08 12:56:04 Result 1, Command was: growisofs -dvd-compat -Z /dev/dvd -dvd-video -V "Name of DVD" /home/username/.mythtv/temp/work/dvd
2008-10-08 12:56:04 Please check the troubleshooting section of the README for ways to fix this error
2008-10-08 12:56:04 ------------------------------------------------------------
2008-10-08 12:56:04
2008-10-08 12:56:04 Terminated

The DVD can be read and played on my Ubuntu box, and will play using VLC player on Windows 2000, but I cannot browse the files on Windows or play it with other Windows DVD players. I don't have a standalone DVD player to try it in.

I have reverted to the hardy version of genisoimage. With the hardy version, mytharchive thinks it has completed, and does not produce any error in the mythburn.log. But the DVD has the same reading problem under Windows.

Zakhar (alainb06) wrote :

It works for me on a Dell laptop (Inspiron 1720 initally Vista, now Vista + Ubuntu 8.04.1 through Wubi)
I'm using K3B to burn.
This might help... unless you want to stick to mytharchive
With the genisoimage shipped with Hardy (the "official" one) K3B is able to burn an ISO image as you describe : runs on Linux, runs on Windows with VLC, not browsable on Windows, and status unknown for standalone DVD players (don't have one)
So it might be that mytharchive has an "hardwired" genisoimage (eg. not dynamically linked, or having its own hardy-version of genisoimage).

Try K3B, it looks to be doing a much better job than other burners.

Philip Jägenstedt (foolip) wrote :

If it's not browsable on Windows then the bug isn't fixed. VLC can open the ISOs because it doesn't rely on Window's to do it. The burning software doesn't make a difference though, they're all frontends for the same backend software.

Zakhar (alainb06) wrote :

Although they might just be frontend to genisoimage, when such frontend activates genisoimage, it gives parameters to it to do its job.
There is a remote probabibloty that this could be possible, but if we can find a frontend working (K3B) and other not (mytharchive) difference of parameters to genisoimage could give a clue to the bug.

Is is worth a try ?

Philip Jägenstedt (foolip) wrote :

Of course, but which frontend are you suggesting actually works? The "not browsable on Windows" was when creating an ISO with K3B, right?

Zakhar (alainb06) wrote :

Forgive me if my explaination is not clear (I'm not english). The "not browsable on Windows" happens with K3B and genisoimage Hardy.
If you revert to genisoimage Gutsy, without recompiling it, K3B produces a DVD that is readable (VLC) AND browsable on Windows... at least that's with my PC (Ubuntu 8.04.1/K3B1.0.4)

So let's summarize if it's more clear like that :
- genisoimage Hardy + K3B => DVD OK on Linux but not browsable on Windows
- genisoimage Hardy + Mytharchive => do not produce a DVD
- genisoimage Gutsy (not recompiled) + K3B => DVD is OK, both Linux AND Windows (browsable)
- genisoimage Gutsy (not recompiled) + Mytharchive => DVD OK on Linux but not browsable on Windows

I didn't do the test with mytharchive on my PC (it works with what I have, I don't want to mess things up with something that does not work) but if the combination above can be reproduced on several PC, it could give a clue.

Maybe I was not clear. My experience was as follows:

genisoimage Hardy + Mytharchive => DVD OK on Linux but not browsable on Windows; mytharchive does not detect any error

genisoimage Gutsy (not recompiled) + Mytharchive => DVD OK on Linux but not browsable on Windows; mytharchive detects error

The DVD seemed to have the same properties with both genisoimage versions. The only difference in my experience with the 2 genisiimage versions was whether mytharchive detected an error during the DVD creation process.

Andrew Berry (andrewberry) wrote :

For those just wanting to be able to burn a disc, I've only found two ways to burn discs which don't involve genisoimage, as virtually every Linux burning frontend uses the same backend:

1. Nero Linux seems to work fine. It has a trial, and is proprietary, but they do provide an Ubuntu package which integrates perfectly into the system.

2. Use the freeware (but not open source) ImgBurn in Wine: http://www.imgburn.com/. I'm amazed at how well this program works in Wine. It uses the Wine provided API's to talk directly to the drive, avoiding genisoimage completely.

I've yet to find any Free Software tools for burning discs which aren't affected by this.

bedege (degouville) wrote :

All

I can see that Intrepid will ship with a more recent genisoimage ubuntu package (9:1.1.8-1ubuntu1). Any idea if that solves our issue when creating DVD video iso images ? Has anybody given it a try ?

I installed genisoimage version 9:1.1.8-1+b1 from lenny <http://packages.debian.org/testing/otherosfs/genisoimage>.

Mytharchive produced the same error message as with the previous version. But the DVD produced with this version from lenny was browsable on Windows, and played on a standalone DVD player.

Does this mean that this version should be backported to hardy?

Kirill Chunaev (kirchun) wrote :

Peolpe, this is critical bug that inadmissible for such popular distribution of Linux! We must do anything to fix it rapidly. This bug is deb-only and it related with building procces.
There is a new Debian package - 1.1.9. Does it fix our bug for anyone? Hurry up, friends!

silvan (bu1137) wrote :

I have had related problems on hardy with genisoimage too. The following would create an empty udf filesystem:

genisoimage -udf -o blah.iso blah

I compiled the original mkisofs from cdrecord-2.01.01a53, same problem.
Then, I compiled cdrkit-1.1.9. This one works.

bedege (degouville) wrote :

After upgrading my system to Intrepid Ibex, I created an iso file using genisoimage 9:1.1.8-1ubuntu1 that ships with Intrepid: eveything works fine. I burned the iso to a DVD and it is readable and browsable under MS Windows.

So another fix for this bug is to upgrade to Intrepid.

Hope this helps.

Jan Kronborg (magic75) wrote :

My problems are resolved with Intrepid as well. That is my DVD:s are playable on my standalone DVD-player again.

Yung-Chin Oei (yungchin) wrote :

Without upgrading 8.04 to 8.10, the issue can also be resolved by upgrading only the genisoimage package. This only involved installing the binary package shipped in 8.10. After doing that I was able to produce an iso that is WinXP-readable.

Andrew Berry (andrewberry) wrote :

It works fine for me as well, and doesn't require any other Intrepid packages, so for anyone affected by this you can just download the file and double-click to install.

You can download it from here for i386: http://packages.ubuntu.com/intrepid/i386/genisoimage/download

and for amd64: http://packages.ubuntu.com/intrepid/amd64/genisoimage/download

Hopefully this package can just be backported in its entirety to Hardy, as Hardy is a LTS.

I have a fresh install of amd64 Intrepid. I just tried genisoimage. Didn't work, with the usual errors, starting with:

genisoimage: No such file or directory. Failed to open VIDEO_TS.IFO

genisoimage_1.1.9-1_amd64.deb similarly failed, as did the immediately above amd64/genisoimage/download.

GG (pcdoctor01) wrote :

Andrew Berry,

XOXO you have made me a very happy lady!
I'm able to browse and play the dvd using windwos.
Thx!

mike (proba43) wrote :

Hello!
On my standalone player SHARP DV-SV92 DVD-Video disks created by the program genisoimage are not played. I tried packages genisoimage of versions 1.1.2, 1.1.6 and 1.1.9. But there is no difference, DVD disks are not played. DVD-Video disks created by the program mkisofs (from cdrtools by Joerg Schilling) are played perfectly.

GG (pcdoctor01) wrote :

I'm having this problem once again.
I'm using: 8.04.2
I'm trying Andrew Barry's fix again to see if I can install it.
http://packages.ubuntu.com/intrepid/i386/genisoimage/download

GG (pcdoctor01) wrote :

I'm not sure what happened but after reinstalling Andrew's fix, I'm back in business.

mike (proba43) wrote :

I'm using too: 8.04.2
I have tried to install package genisoimage_1.1.8-1ubuntu1_i386.deb.
Yes, It works. DVD-Video disk are played perfectly.

Bertrand SG (bertrand-ukulele) wrote :

Still not fixed, wrong image (unreadable on Windows system) created with default version (1.1.6), problem can be manually fixed installing genisoimage_1.1.8-1ubuntu1_i386.deb

Steve Dodd (anarchetic) wrote :

I can confirm upgrading genisoimage to the version in intrepid fixes this for me. Any chance of sticking it in hardy-backports as a precursor to possibly getting it in -updates? I now hardy is getting long in the tooth now, but ..

GG (pcdoctor01) wrote :

I think I'm still in business. I've been working since 2009-05-19.
"#81 - I'm not sure what happened but after reinstalling Andrew's fix, I'm back in business."
I haven't tried a DVD in windows lately though.

Schily (schilling-fokus) wrote :

The fork genisoimage is full of bugs and based on a 5 year old mkisofs
version. Genisoimage is (like the whole fork from Debian) unmaintained
since May 2007.

I recommend you to use recent original software from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

http://cdrecord.berlios.de/

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.